Skip to main content
List files
Operation ID: http.files.list

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

org
string
required
project
string
required

Query Parameters

status
string

Only Files with this status.

tag

Only Files with every tag given. Repeatable.

media_type

Only Files with one of these media types. Repeatable.

collection_id
string

Only Files in this collection.

name_prefix
string

Only Files whose name starts with this.

external_key
string

Only the File with this external key.

created_after
string

Only Files created after this RFC 3339 timestamp.

created_before
string

Only Files created before this RFC 3339 timestamp.

include_deleted
enum<string>

true to include deleted Files. Defaults to false.

Available options:
true,
false
expand

What to include with each File: current_version, collections. Repeatable, or a comma list.

limit
string

Page size, 1 to 100. Defaults to 50.

Pattern: ^\d+$
cursor
string

The cursor the previous page returned.

Response

2XX - application/json

Success.

data
object[]
required
Maximum array length: 100
next_cursor
string | null
required
has_more
boolean
required
snapshot_at
required
Pattern: ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z|([+-](?:[01]\d|2[0-3]):[0-5]\d)))$